Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 May 2015 10:10:06 +0300

> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 22 May 2015 22:08:34 +0200
> 
> Actually, I just found out that "Latin Modern Math" is inherently
> completely broken. If I set it in gedit, even the ASCII chars have
> ridiculous ascent/descent. So "Latin Modern Math" is basically unusable
> unless a program specifically modifies ascent/descent, like I did.
> 
> The reason gedit was working fine previously is that it never used
> "Latin Modern Math", it used some other font.
> 
> So it makes sense to "fix" a font that is common and inherently broken.

IMO, it makes even more sense to avoid using it.  Patches to introduce
a list of fonts to ignore while searching for a suitable font, and
allow users to configure that list, will be welcome.